> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 비용 생성



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /cost/create
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /cost/create:
    post:
      tags:
        - Costs
      summary: 비용 생성
      operationId: cost_create_cost_create_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CostCreateReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostCreateRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    CostCreateReq:
      additionalProperties: false
      properties:
        costs:
          additionalProperties:
            $ref: '#/components/schemas/CostCreateInput'
          title: Costs
          type: object
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 직접 설정하지 마세요. 서버가 이 필드를 자동으로 채웁니다.
          title: Wb User Id
      required:
        - project_id
        - costs
      title: CostCreateReq
      type: object
    CostCreateRes:
      properties:
        ids:
          items:
            maxItems: 2
            minItems: 2
            prefixItems:
              - type: string
              - type: string
            type: array
          title: Ids
          type: array
      required:
        - ids
      title: CostCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CostCreateInput:
      additionalProperties: false
      properties:
        cache_creation_input_token_cost:
          default: 0
          title: Cache Creation Input Token Cost
          type: number
        cache_read_input_token_cost:
          default: 0
          title: Cache Read Input Token Cost
          type: number
        completion_token_cost:
          title: Completion Token Cost
          type: number
        completion_token_cost_unit:
          anyOf:
            - type: string
            - type: 'null'
          default: USD
          description: 완료 토큰 비용의 단위
          title: Completion Token Cost Unit
        effective_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 비용이 적용되기 시작하는 날짜입니다. 지정하지 않으면 현재 날짜가 기본값으로 사용됩니다.
          title: Effective Date
        prompt_token_cost:
          title: Prompt Token Cost
          type: number
        prompt_token_cost_unit:
          anyOf:
            - type: string
            - type: 'null'
          default: USD
          description: 프롬프트 토큰 비용의 단위
          title: Prompt Token Cost Unit
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            LLM 제공자입니다(예: 'openai' 또는 'mistral'). 지정하지 않으면 provider_id가
            'default'로 설정됩니다.
          title: Provider Id
      required:
        - prompt_token_cost
        - completion_token_cost
      title: CostCreateInput
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````